Method: datasetVersions.restore

Full name: projects.locations.datasets.datasetVersions.restore

Restores a dataset version.

Endpoint

get https://{service-endpoint}/v1/{name}:restore

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

name string

Required. The name of the DatasetVersion resource. Format: projects/{project}/locations/{location}/datasets/{dataset}/datasetVersions/{datasetVersion}

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

IAM Permissions

Requires the following IAM permission on the name resource:

  • aiplatform.datasetVersions.restore

For more information, see the IAM documentation.